Bug 1314322 - It is not possible to create Business Process on Windows server with I18n Business Process names
It is not possible to create Business Process on Windows server with I18n Bus...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.3.0
All Windows
urgent Severity urgent
: ---
: ---
Assigned To: Eder Ignatowicz
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 07:13 EST by Kirill Gaevskii
Modified: 2016-04-15 07:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to wrong file encoding, it is impossible to create assets with i18n names (for example 日本語 or Русский) when running JBoss BPM Suite on Windows. To work around the issue, set the file encoding of your application server to UTF8, for example: set "JAVA_OPTS=-Dfile.encoding=UTF-8 -Dprogram.name=%PROGNAME% %JAVA_OPTS%" in the JBoss EAP standalone.bat within :Main label.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
I18n Business Process names on Windows (3.30 MB, application/ogg)
2016-03-03 07:16 EST, Kirill Gaevskii
no flags Details
server log with stack trace (97.52 KB, text/plain)
2016-03-16 13:14 EDT, Jeremy Lindop
no flags Details

  None (edit)
Description Kirill Gaevskii 2016-03-03 07:13:16 EST
Description of problem:
You can't create Business Process with I18n name like (日本語, Русский) and so on. See attachment.

Version-Release number of selected component (if applicable):
6.3.DR2

How reproducible:
always

Steps to Reproduce:
1. Start Business Central on Windows server
2. Create new Business Process with I18n name like 日本語 or Русский on Windows

Actual results:
It is not possible to create this Business Process with error (just for first try, from the second try it will be no messages at all just not working button OK):
Unable to complete your request. The following exception occurred: java.lang.RuntimeException: org.eclipse.jgit.dircache.InvalidPathException: Invalid path: NewProject/src/main/resources/example/newproject/???.bpmn2.

Expected results:
No I18n restrictions for Windows

Addition information:
There are no specific information about errors in server log
Comment 1 Kirill Gaevskii 2016-03-03 07:16 EST
Created attachment 1132745 [details]
I18n Business Process names  on Windows
Comment 2 Kirill Gaevskii 2016-03-03 07:18:05 EST
See also bug 1122342
Comment 4 Kirill Gaevskii 2016-03-03 07:49:14 EST
Update: After first try of I18n named Business Process creation it is not possible to create new Asset (any asset) even with English "correct" name. Server reboot needed.
Comment 5 Jeremy Lindop 2016-03-16 13:14 EDT
Created attachment 1137101 [details]
server log with stack trace
Comment 6 Jeremy Lindop 2016-03-16 13:19:30 EDT
This is a case of a more general problem creating resources with i18n characters in names when BPMS is running on Windows. For example, if you try to create a new DRL File with name drl日本語, a popup with this error appears:

Unable to complete your request. The following exception occurred: java.lang.RuntimeException: org.eclipse.jgit.dircache.InvalidPathException:
Invalid path: jdlproj1/src/main/resources/drl??????? .drl.

A similar error occurs when trying to create a BP with i18n chars, and when trying to create a Project with i18n chars, the UI hangs.

I've attached the server log for the case of creating a DRL file.
Comment 7 Jeremy Lindop 2016-03-17 06:08:19 EDT
Eder - I've assigned this over to you as it seems to be a general UF problem when creating resources with i18n characters in names. Toni wonders whether it's an issue with the way we configure jgit.
Comment 10 Lukáš Petrovický 2016-03-22 11:42:42 EDT
The workaround is confirmed effective. This is not a regression, 6.2 behaves in the exact same way.

Note You need to log in before you can comment on or make changes to this bug.